<? include_once("../includes/main.inc.php");
$headerTitleName = "Add New zip";

$page_id = $_REQUEST['page_id'];

	
if(is_post_back()) {



	if($page_id!='') {		 
		$sql = "update `tbl_zip` set 
		 zip_code='$zip_code',
		 block_id='$block_id',
		 county_id='$county_id',
		 city_id='$city_id', 
		 state_id='$state_id',
		 country_id='$country_id', 
		 post_office='$post_office', 
		 division_name='$division_name', 
		 region_name='$region_name', 
		 circle_name='$circle_name',  
		 zip_status='$zip_status',  
		 title='$title',description='$description',keyword='$keyword',zip_title='$zip_title', 
		 zip_descriptions='$zip_descriptions',zip_ad1='$zip_ad1',zip_ad2='$zip_ad2',zip_ad3='$zip_ad3', 
		 zip_modified=now() 
		 where zip_id = $page_id ";
		db_query($sql);
		
		########### Uploading Image ################
		if($_FILES['sv_image']['name']!='')
		{
			if(strlen($sv_image) && file_exists(UP_FILES_FS_PATH."/banner/thumb/".$sv_image)){
				@unlink(UP_FILES_FS_PATH."/banner/thumb/".$sv_image);
			}
			$sv_image_1 = md5(uniqid(rand(), true)).'.'.file_ext($_FILES[sv_image]['name']);
				copy($_FILES['sv_image']['tmp_name'], UP_FILES_FS_PATH."/banner/thumb/".$sv_image_1) or die("Image is not uploaded");
				copy($_FILES['sv_image']['tmp_name'], UP_FILES_FS_PATH."/banner/original/".$sv_image_1) or die("Image is not uploaded");
			$n_width=120; // Fix the width of the thumb nail images
			$n_height=90; // Fix the height of the thumb nail imaage
			
			$tsrc=UP_FILES_FS_PATH."/banner/thumb/".$sv_image_1;
			$add=UP_FILES_FS_PATH."/banner/original/".$sv_image_1; // Path where thumb nail image will be stored
			
			//echo $tsrc;
			if (!($_FILES[sv_image][type] =="image/pjpeg" OR $_FILES[sv_image][type]=="image/jpeg" OR $_FILES[sv_image][type]=="image/png")){echo "Your uploaded file must be of JPG or GIF or PNG. Other file types are not allowed<BR>";
			exit;}
				///////// starting of JPG thumb nail creation//////////
			if($_FILES[sv_image][type]=="image/pjpeg" OR $_FILES[sv_image][type]=="image/jpeg")
			{
				$im=ImageCreateFromJPEG($add);
				$width=ImageSx($im); // Original picture width is stored
				$height=ImageSy($im); // Original picture height is stored
				$newimage=imagecreatetruecolor($n_width,$n_height);
				imageCopyResized($newimage,$im,0,0,0,0,$n_width,$n_height,$width,$height);
				ImageJpeg($newimage,$tsrc);
				chmod("$tsrc",0777);
			}
			else{
				$im=ImageCreateFromPNG($add);
				$width=ImageSx($im); // Original picture width is stored
				$height=ImageSy($im); // Original picture height is stored
				$newimage=imagecreatetruecolor($n_width,$n_height);
				imageCopyResized($newimage,$im,0,0,0,0,$n_width,$n_height,$width,$height);
				ImagePng($newimage,$tsrc);
				chmod("$tsrc",0777);
			}
			
			db_query("update tbl_zip set zip_banner='".$sv_image_1."' where zip_id = $page_id ");
		}
		
		set_session_msg("zip updated successfully.");	
	
	} else{	
	
	   ########### Uploading Image ################
		if($_FILES['sv_image']['name']!='')
		{
			if(strlen($sv_image) && file_exists(UP_FILES_FS_PATH."/banner/thumb/".$sv_image)){
				@unlink(UP_FILES_FS_PATH."/banner/thumb/".$sv_image);
			}
			$sv_image_1 = md5(uniqid(rand(), true)).'.'.file_ext($_FILES[sv_image]['name']);
				copy($_FILES['sv_image']['tmp_name'], UP_FILES_FS_PATH."/banner/thumb/".$sv_image_1) or die("Image is not uploaded");
				copy($_FILES['sv_image']['tmp_name'], UP_FILES_FS_PATH."/banner/original/".$sv_image_1) or die("Image is not uploaded");
			$n_width=120; // Fix the width of the thumb nail images
			$n_height=90; // Fix the height of the thumb nail imaage
			
			$tsrc=UP_FILES_FS_PATH."/banner/thumb/".$sv_image_1;
			$add=UP_FILES_FS_PATH."/banner/original/".$sv_image_1; // Path where thumb nail image will be stored
			
			//echo $tsrc;
			if (!($_FILES[sv_image][type] =="image/pjpeg" OR $_FILES[sv_image][type]=="image/jpeg" OR $_FILES[sv_image][type]=="image/png")){echo "Your uploaded file must be of JPG or GIF or PNG. Other file types are not allowed<BR>";
			exit;}
				///////// starting of JPG thumb nail creation//////////
			if($_FILES[sv_image][type]=="image/pjpeg" OR $_FILES[sv_image][type]=="image/jpeg")
			{
				$im=ImageCreateFromJPEG($add);
				$width=ImageSx($im); // Original picture width is stored
				$height=ImageSy($im); // Original picture height is stored
				$newimage=imagecreatetruecolor($n_width,$n_height);
				imageCopyResized($newimage,$im,0,0,0,0,$n_width,$n_height,$width,$height);
				ImageJpeg($newimage,$tsrc);
				chmod("$tsrc",0777);
			}
			else{
				$im=ImageCreateFromPNG($add);
				$width=ImageSx($im); // Original picture width is stored
				$height=ImageSy($im); // Original picture height is stored
				$newimage=imagecreatetruecolor($n_width,$n_height);
				imageCopyResized($newimage,$im,0,0,0,0,$n_width,$n_height,$width,$height);
				ImagePng($newimage,$tsrc);
				chmod("$tsrc",0777);
			}
			
		}
	 
		$sql = "insert into `tbl_zip` set 
		zip_code='$zip_code',
		 block_id='$block_id',
		 county_id='$county_id', 
		 city_id='$city_id',
		 state_id='$state_id', 
		 country_id='$country_id',
 		 post_office='$post_office', 
		 division_name='$division_name', 
		 region_name='$region_name', 
		 circle_name='$circle_name',   
		 zip_status='$zip_status',   
		 title='$title',description='$description',keyword='$keyword',zip_title='$zip_title', 
		 zip_descriptions='$zip_descriptions',zip_ad1='$zip_ad1',zip_ad2='$zip_ad2',zip_ad3='$zip_ad3', 
		 zip_banner='$sv_image_1', 
		 zip_join=now() ";
		db_query($sql);
		set_session_msg("New zip added successfully.");
	}
	header("Location: zip_detail.php?start=$start");
	exit;
}

$page_id = $_REQUEST['page_id'];
if($page_id!='') {
	$sql = "select * from `tbl_zip` where zip_id = '$page_id'";
	$result = db_query($sql);
	if ($line_raw = mysql_fetch_array($result)) {
		//$line_raw = ms_form_value($line_raw);
		@extract($line_raw);
	}
}
?>
<link href="styles.css" rel="stylesheet" type="text/css">

<? include("top.inc.php");?>
<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td id="pageHead"><div id="txtPageHead">
       Add/Edit zip</div></td>
  </tr>
</table>
<script type="text/javascript" src="fckeditor/fckeditor.js"></script>
<table width="80%" align="left">
		  	<tr><td>
		  	<form method="post" action="" enctype="multipart/form-data" name="form1" id="form1" onSubmit="return validate(this);">
        <table width="80%" align="center" border=0 cellpadding="0"  cellspacing="0" class="text">
    	<tr>
		<td  colspan="2"height="30"  align="right"><a href="zip_detail.php?start=<?=$start?>" class="redcolor"><strong>Back To zip List</strong></a></td>
		</tr>    
        <tr><td height="15"><div align="center"><span class="msg"><?=display_sess_msg();?></span></div><br /></td></tr>  
		

                <tr>
		  <td class="lables"><b>State Name</b></td>
          <td class="feildstxt">
          	<select id="country_id" name="country_id" onchange="getState()">
          		<?php
          		$sqls=mysql_query("select * from tbl_country where country_status=1");
          		while($ress=mysql_fetch_array($sqls))
          		{
          			if($ress['country_id']==$country_id)
          			{
						echo "<option value='".$ress['country_id']."' selected>".$ress['country_name']."</option>";
					}
					else
					{
						echo "<option value='".$ress['country_id']."'>".$ress['country_name']."</option>";
					}
				}
          		?>
          	</select>
          </td>
        </tr>
        <tr><td>&nbsp;</td></tr> 
        <tr>
		  <td class="lables"><b>District Name</b></td>
          <td class="feildstxt">
          	<select id="state_id" name="state_id" onchange="getCounty()">
          		<option value="">&nbsp;&nbsp;&nbsp;Loading...&nbsp;&nbsp;&nbsp;</option>
          	</select>
          </td>
        </tr>
        <tr><td>&nbsp;</td></tr> 
        
        <tr>
		  <td class="lables"><b>Taluk / Tehsil / City Name</b></td>
          <td class="feildstxt">
          	<select id="county_id" name="county_id" onchange="getCity()">
          		<option value="">&nbsp;&nbsp;&nbsp;Loading...&nbsp;&nbsp;&nbsp;</option>
          	</select>
          </td>
        </tr>
        <tr><td>&nbsp;</td></tr> 
        <tr>
		  <td class="lables"><b> Area/ Post Office Name</b></td>
          <td class="feildstxt">
          	<select id="city_id" name="city_id">
          		<option value="">&nbsp;&nbsp;&nbsp;Loading...&nbsp;&nbsp;&nbsp;</option>
          	</select>
          </td>
        </tr>
        <tr><td>&nbsp;</td></tr>
        
        <tr>
		  <td class="lables"><b> Block Name</b></td>
          <td class="feildstxt">
          	<select id="block_id" name="block_id">
          		<option value="">&nbsp;&nbsp;&nbsp;Loading...&nbsp;&nbsp;&nbsp;</option>
          	</select>
          </td>
        </tr>
        <tr><td>&nbsp;</td></tr> 

        <tr>
		  <td class="lables"><b>Pincode Code</b></td>
          <td class="feildstxt"><input type="text" style="width:300px;" value="<?=stripslashes($zip_code)?>" name="zip_code" id="zip_code"  /></td>
        </tr>
        <tr><td>&nbsp;</td></tr>
        
	    <tr>
		  <td class="lables"><b>Post Office Name</b></td>
          <td class="feildstxt"><input type="text" style="width:300px;" value="<?=stripslashes($post_office)?>" name="post_office" id="post_office"  /></td>
        </tr>
        <tr><td>&nbsp;</td></tr>
        
       <tr>
		  <td class="lables"><b>Division Name (Head Office)</b></td>
          <td class="feildstxt"><input type="text" style="width:300px;" value="<?=stripslashes($division_name)?>" name="division_name" id="division_name"  /></td>
        </tr>
        <tr><td>&nbsp;</td></tr>

       <tr>
		  <td class="lables"><b>Region Name</b></td>
          <td class="feildstxt"><input type="text" style="width:300px;" value="<?=stripslashes($region_name)?>" name="region_name" id="region_name"  /></td>
        </tr>
        <tr><td>&nbsp;</td></tr>
        
       <tr>
		  <td class="lables"><b>Circle Name</b></td>
          <td class="feildstxt"><input type="text" style="width:300px;" value="<?=stripslashes($circle_name)?>" name="circle_name" id="circle_name"  /></td>
        </tr>
        <tr><td>&nbsp;</td></tr>

        <tr>
		  <td class="lables"><b>Status</b></td>
          <td class="feildstxt"><select name="zip_status" id="zip_status">
          <option value="1" <?php if($zip_status=='1'){ echo 'selected="selected"'; } ?>>Active</option>
          <option value="0" <?php if($zip_status=='0'){ echo 'selected="selected"'; } ?>>InActive</option>          
          </select></td>
        </tr>
        <tr><td>&nbsp;</td></tr>
        <tr>
		  <td class="lables" colspan="2"><hr/></td>
        </tr>
        <tr><td>&nbsp;</td></tr>
        
        <tr>
		  <td class="lables"><b>Title </b></td>
          <td class="feildstxt"><textarea style="width:300px;" name="title" id="title"  ><?=stripslashes($title)?></textarea></td>
        </tr>
        <tr><td>&nbsp;</td></tr>
        
        <tr>
		  <td class="lables"><b>Description </b></td>
          <td class="feildstxt"><textarea style="width:300px;" name="description" id="description"  ><?=stripslashes($description)?></textarea></td>
        </tr>
        <tr><td>&nbsp;</td></tr>
        
        <tr>
		  <td class="lables"><b>Keyword</b></td>
          <td class="feildstxt"><textarea style="width:300px;" name="keyword" id="keyword"  ><?=stripslashes($keyword)?></textarea></td>
        </tr>
        <tr><td>&nbsp;</td></tr>
        
         <tr>
		  <td class="lables" colspan="2"><hr/></td>
        </tr>
        <tr><td>&nbsp;</td></tr>
        
        <tr>
		  <td class="lables"><b>Banner Image</b></td>
          <td class="feildstxt"><input type="file" name="sv_image" id="sv_image"  /></td>
        </tr>
        <tr><td>&nbsp;</td></tr>
        <tr>
		  <td class="lables"><b>Current Banner Image</b></td>
          <td class="feildstxt">
         <? if($page_id!='')
            {
                $sv_image = $zip_banner;
                if(strlen($sv_image) && file_exists(UP_FILES_FS_PATH."/banner/thumb/".$sv_image)){
                $imgsrc=UP_FILES_WS_PATH."/banner/thumb/".$sv_image;
                $size=getimagesize(UP_FILES_FS_PATH."/banner/thumb/".$sv_image);
				echo '<img src="'.$imgsrc.'" alt="No Image"  />';
                }
				else{  echo 'NO Images'; }
				
				
                if(strlen($sv_image) && file_exists(UP_FILES_FS_PATH."/banner/original/".$sv_image)){
                $imgsrcBig=UP_FILES_WS_PATH."/banner/original/".$sv_image;
                $size=getimagesize(UP_FILES_FS_PATH."/banner/original/".$sv_image);
                $img=ImageCreateFromJPEG($imgsrcBig);
                $width=ImageSx($img); // Original picture width is stored
                $height=ImageSy($img); // Original picture height is stored
                }
				
			}
            ?>
             
            </td>
        </tr>
        <tr><td>&nbsp;</td></tr>
        
        <tr>
		  <td class="lables"><b>Zip Title</b></td>
          <td class="feildstxt"><textarea style="width:300px;" name="zip_title" id="zip_title"  ><?=stripslashes($zip_title)?></textarea></td>
        </tr>
        <tr><td>&nbsp;</td></tr>
        
        <tr>
		  <td class="lables"><b>Zip Descriptions</b></td>
          <td class="feildstxt"><textarea style="width:300px;" name="zip_descriptions" id="zip_descriptions"  ><?=stripslashes($zip_descriptions)?></textarea></td>
        </tr>
        <tr><td>&nbsp;</td></tr>
        
        <tr>
		  <td class="lables"><b>Ad1</b></td>
          <td class="feildstxt"><textarea style="width:300px;" name="zip_ad1" id="zip_ad1"  ><?=stripslashes($zip_ad1)?></textarea></td>
        </tr>
        <tr><td>&nbsp;</td></tr>
        
        <tr>
		  <td class="lables"><b>Ad2</b></td>
          <td class="feildstxt"><textarea style="width:300px;" name="zip_ad2" id="zip_ad2"  ><?=stripslashes($zip_ad2)?></textarea></td>
        </tr>
        <tr><td>&nbsp;</td></tr>
        
        <tr>
		  <td class="lables"><b>Ad3</b></td>
          <td class="feildstxt"><textarea style="width:300px;" name="zip_ad3" id="zip_ad3"  ><?=stripslashes($zip_ad3)?></textarea></td>
        </tr>
        
        <tr>
        <td align="left" class="lables">&nbsp;</td>
        <td align="left" class="feildstxt"><input class="button" type="submit" name="submit" value="Save"></td>
        </tr>
        <tr><td height="25">&nbsp;</td></tr>
   </table>
    </form>
    </td></tr></table>  
    <script>
    function getState()
	{
		$("#state_id").html('<option value="">&nbsp;&nbsp;&nbsp;Loading...&nbsp;&nbsp;&nbsp;</option>');
		$.post('get_state.php',{country_id:$("#country_id").val(),edit_state_id:$("#hfstateId").val()},function(data,status){
			if(status='success')
			{	
				$("#state_id").html(data);
				getCounty();
			}
			else{
				alert("Something Going Error");	
			}
		});
	}
	
	function getCounty()
	{
		$("#county_id").html('<option value="">&nbsp;&nbsp;&nbsp;Loading...&nbsp;&nbsp;&nbsp;</option>');
		$.post('get_county.php',{state_id:$("#state_id").val(),country_id:$("#country_id").val(),edit_county_id:'<?php echo $county_id; ?>'},function(data,status){
			if(status='success')
			{	
				$("#county_id").html(data);
				getCity();
			}
			else{
				alert("Something Going Error");	
			}
		});
	}
	function getCity()
	{
		$("#city_id").html('<option value="">&nbsp;&nbsp;&nbsp;Loading...&nbsp;&nbsp;&nbsp;</option>');
		$.post('get_city.php',{county_id:$("#county_id").val(),state_id:$("#state_id").val(),country_id:$("#country_id").val(),edit_city_id:'<?php echo $city_id; ?>'},function(data,status){
			if(status='success')
			{	
				$("#city_id").html(data);
				getBlock();
			}
			else{
				alert("Something Going Error");	
			}
		});
	}
	
	function getBlock()
	{
		$("#block_id").html('<option value="">&nbsp;&nbsp;&nbsp;Loading...&nbsp;&nbsp;&nbsp;</option>');
		$.post('get_block.php',{city_id:$("#city_id").val(),county_id:$("#county_id").val(),state_id:$("#state_id").val(),country_id:$("#country_id").val(),edit_block_id:'<?php echo $block_id; ?>'},function(data,status){
			if(status='success')
			{	
				$("#block_id").html(data);
			}
			else{
				alert("Something Going Error");	
			}
		});
	}
	
	 getState();
	 
	
</script>   
   <script type="text/javascript">
		 var oFCKeditor=new FCKeditor('zip_descriptions','650','200')	;
		 oFCKeditor.BasePath="fckeditor/";	
		 oFCKeditor.ReplaceTextarea();
    </script>   
    <script type="text/javascript">
		 var oFCKeditor=new FCKeditor('zip_ad1','650','200')	;
		 oFCKeditor.BasePath="fckeditor/";	
		 oFCKeditor.ReplaceTextarea();
    </script>   
    <script type="text/javascript">
		 var oFCKeditor=new FCKeditor('zip_ad2','650','200')	;
		 oFCKeditor.BasePath="fckeditor/";	
		 oFCKeditor.ReplaceTextarea();
    </script>   
    <script type="text/javascript">
		 var oFCKeditor=new FCKeditor('zip_ad3','650','200')	;
		 oFCKeditor.BasePath="fckeditor/";	
		 oFCKeditor.ReplaceTextarea();
    </script> 
  <? include("bottom.inc.php");?>